Clover coverage report - PMD - 3.7
Coverage timestamp: Wed May 31 2006 09:25:59 EDT

file stats: | LOC: | 48 |  | Methods: | 6
| NCLOC: | 22 |  | Classes: | 1

Source file | Conditionals | Statements | Methods | TOTAL

ASTDeclaration.java

-

33.3%

33.3%

33.3%

1 |  | /* Generated By:JJTree: Do not edit this line. ASTDeclaration.java */
2 |  |
3 |  | package net.sourceforge.pmd.jsp.ast;
4 |  |
5 |  | public class ASTDeclaration extends SimpleNode {
6 |  |
7 |  | /* BEGIN CUSTOM CODE */
8 |  | private String name;
9 |  |
10 |  | /**
11 |  | * @return Returns the name.
12 |  | */
13 | 0 | public String getName() {
14 | 0 | return name;
15 |  | }
16 |  |
17 |  | /**
18 |  | * @param name The name to set.
19 |  | */
20 | 1 | public void setName(String name) {
21 | 1 | this.name = name;
22 |  | }
23 |  |
24 |  | /* (non-Javadoc)
25 |  | * @see com.applicationengineers.pmd4jsp.ast.SimpleNode#toString(java.lang.String)
26 |  | */
27 | 0 | public String toString(String prefix) {
28 | 0 | return super.toString(prefix) + " name=[" + name + "] ";
29 |  | }
30 |  | /* END CUSTOM CODE */
31 |  |
32 |  |
33 | 0 | public ASTDeclaration(int id) {
34 | 0 | super(id);
35 |  | }
36 |  |
37 | 1 | public ASTDeclaration(JspParser p, int id) {
38 | 1 | super(p, id);
39 |  | }
40 |  |
41 |  |
42 |  | /**
43 |  | * Accept the visitor. *
44 |  | */
45 | 0 | public Object jjtAccept(JspParserVisitor visitor, Object data) {
46 | 0 | return visitor.visit(this, data);
47 |  | }
48 |  | }